

********************************************************************************************************************************************************************
********************************************************************************************************************************************************************
*** Replication do-file for "The Power of Religion"
*** by Jeanet Sinding Bentzen and Gunes Gokmen
*** June, 2022
********************************************************************************************************************************************************************
********************************************************************************************************************************************************************


**********************************************************************************
**********************************************************************************
*** Table A.1: Stratification and intervening high gods across ethnic societies, Spatially correlated Conley standard errors
**********************************************************************************
use ethno_final, clear

**********************************************************************************
*** Panel A
***
* To reproduce cluster-robust standard errors
local var strat
* Column 1
reg god `var', cl(v98)
* Column 2
reghdfe god `var', a(cont decade) cl(v98)
* Column 3
reghdfe god `var', a(v98 decade) cl(v98)
* Column 4
reghdfe god `var' abslat, a(decade v98) cl(v98)
* Column 5
reghdfe god `var' agrsuit_mean, a(decade v98) cl(v98)
* Column 6
reghdfe god `var' temperature precipitation soil12, a(decade v98) cl(v98)
* Column 7
reghdfe god `var' agriculture, a(decade v98) cl(v98)
* Column 8
reghdfe god `var' settle, a(decade v98) cl(v98)

***
* To produce standard errors robust to Spatial Correlation within 300kms
local var strat
* Column 1
acreg god `var', spatial latitude(lat) longitude(lon) dist(300) bartlett
* Column 2
acreg god `var', spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var', spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 500kms
local var strat
* Column 1
acreg god `var', spatial latitude(lat) longitude(lon) dist(500) bartlett
* Column 2
acreg god `var', spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var', spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 1000kms
local var strat
* Column 1
acreg god `var', spatial latitude(lat) longitude(lon) dist(1000) bartlett
* Column 2
acreg god `var', spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var', spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 2000kms
local var strat
* Column 1
acreg god `var', spatial latitude(lat) longitude(lon) dist(2000) bartlett
* Column 2
acreg god `var', spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var', spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
**********************************************************************************


**********************************************************************************
*** Panel B

***
* To reproduce cluster-robust standard errors
local var irri_frac
* Column 1
reg god `var' if agriculture==1, cl(v98)
* Column 2
reghdfe god `var' if agriculture==1, a(cont decade) cl(v98)
* Column 3
reghdfe god `var' if agriculture==1, a(v98 decade) cl(v98)
* Column 4
reghdfe god `var' abslat if agriculture==1, a(decade v98) cl(v98)
* Column 5
reghdfe god `var' agrsuit_mean if agriculture==1, a(decade v98) cl(v98)
* Column 6
reghdfe god `var' temperature precipitation soil12 if agriculture==1, a(decade v98) cl(v98)
* Column 7
reghdfe god `var' agriculture if agriculture==1, a(decade v98) cl(v98)
* Column 8
reghdfe god `var' settle if agriculture==1, a(decade v98) cl(v98)


***
* To produce standard errors robust to Spatial Correlation within 300kms
local var irri_frac
* Column 1
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett
* Column 2
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12 if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle if agriculture==1, spatial latitude(lat) longitude(lon) dist(300) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 500kms
local var irri_frac
* Column 1
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett
* Column 2
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12 if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle if agriculture==1, spatial latitude(lat) longitude(lon) dist(500) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 1000kms
local var irri_frac
* Column 1
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett
* Column 2
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12 if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle if agriculture==1, spatial latitude(lat) longitude(lon) dist(1000) bartlett pfe1(v98) pfe2(decade) 


***
* To produce standard errors robust to Spatial Correlation within 2000kms
local var irri_frac
* Column 1
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett
* Column 2
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(cont) pfe2(decade) 
* Column 3
acreg god `var' if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 4
acreg god `var' abslat if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 5
acreg god `var' agrsuit_mean if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 6
acreg god `var' temperature precipitation soil12 if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 7
acreg god `var' agriculture if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 
* Column 8
acreg god `var' settle if agriculture==1, spatial latitude(lat) longitude(lon) dist(2000) bartlett pfe1(v98) pfe2(decade) 


********************************************************************************************************************************************************************